Search workspace members
curl --request POST \
--url https://{platformHost}/api/public/v1/workspaces/{workspaceId}/members/search \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"status": [],
"statuses": [],
"roleId": "<string>",
"emails": [
"jsmith@example.com"
],
"externalId": "<string>",
"updatedSince": "2023-11-07T05:31:56Z",
"include": "projects",
"limit": 50,
"cursor": "<string>"
}
'{
"success": true,
"data": {
"data": [
{
"memberId": "0193f1c2-7a4e-7b10-9c3d-5e6f7a8b9c0d",
"role": {
"roleId": "builtin.workspace.restricted_member",
"name": "RESTRICTED_MEMBER",
"type": "system",
"source": "direct"
},
"status": "pending",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"revision": 1,
"userId": "<string>",
"email": "jsmith@example.com",
"name": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"attributes": {},
"assignmentSource": "api",
"projects": [
{
"id": "<string>",
"role": {
"roleId": "builtin.workspace.restricted_member",
"name": "RESTRICTED_MEMBER",
"type": "system",
"source": "direct"
},
"name": "<string>"
}
],
"projectsTruncated": true
}
],
"nextCursor": "<string>"
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}Search workspace members
Search workspace members with the filters in the request body so email addresses stay out of URLs.
POST
/
api
/
public
/
v1
/
workspaces
/
{workspaceId}
/
members
/
search
Search workspace members
curl --request POST \
--url https://{platformHost}/api/public/v1/workspaces/{workspaceId}/members/search \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"status": [],
"statuses": [],
"roleId": "<string>",
"emails": [
"jsmith@example.com"
],
"externalId": "<string>",
"updatedSince": "2023-11-07T05:31:56Z",
"include": "projects",
"limit": 50,
"cursor": "<string>"
}
'{
"success": true,
"data": {
"data": [
{
"memberId": "0193f1c2-7a4e-7b10-9c3d-5e6f7a8b9c0d",
"role": {
"roleId": "builtin.workspace.restricted_member",
"name": "RESTRICTED_MEMBER",
"type": "system",
"source": "direct"
},
"status": "pending",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"revision": 1,
"userId": "<string>",
"email": "jsmith@example.com",
"name": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"attributes": {},
"assignmentSource": "api",
"projects": [
{
"id": "<string>",
"role": {
"roleId": "builtin.workspace.restricted_member",
"name": "RESTRICTED_MEMBER",
"type": "system",
"source": "direct"
},
"name": "<string>"
}
],
"projectsTruncated": true
}
],
"nextCursor": "<string>"
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}externalId, and updatedSince. You must send either status or statuses, but not both. This API request needs the workspace.members.read scope.
Set include to projects to return each member’s project memberships.
Results are paginated with a cursor. Pass nextCursor from the response as cursor in the next request. Use limit to set the page size from 1 to 200. The default is 50. The emails filter takes up to 50 addresses.Authorizations
platformApiKeybearerPlatformKey
Body
application/json
Was this page helpful?